Subject: Dock + parallel processing

From: "Carsten Detering" <[email-masked]>
Date: Mon, 27 Jan 2003 20:58:23 +0100

Hi all,

I am currently trying to compile Dock5 for parallel processing on a dual
Xeon RAID5 machine with Redhat linux 8. Does anybody have experience with
that?? Here is what I did so far:

I changed the bool USE_MPI = false to true in the dock.cpp. Then I compiled
the oelib and mpich libraries, as given in the manual. For mpich, everything
went fine, only in the oelib, I had an error message; for ./configure, it
gave me
./configure line 480 too many arguements
./configure line 483 too many arguements
I looked at theses lines and it has to do with the processor type, but I
couldnt figure out what the problem is.
After typing make, I got another error message:
make *** [alchemy.o] error 1.
the complation of mpich seems to be fine.
And then in the src dir, I followed exactly the instructions in the manual
(make -f Makefile.linux clean, dock and install), but for make -f
Makefile.linux dock, it gave me
make: *** [master_score.lnx.o] Error 1
and for
make -f Makefile.linux install, it doesnt find the dock5.linux file which
should have been created, but didnt.
Anybody got an idea how to solve that??

Apart from that, is it possible to compile Autodock for parallel processing
as well?

Thanks a lot for any hints/suggestions,

Carsten

~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carsten Detering, Ph.D.
University of Washington
Seattle, WA 98195
Phone 206-543-5081
Fax 206-685-8665
email [email-masked]
~~~~~~~~~~~~~~~~~~~~~~~~~~~